org.deidentifier.arx.gui.view.impl.menu

## Class EditorCriterionRiskBased

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.EditorCriterion<ModelRiskBasedCriterion>
  - - org.deidentifier.arx.gui.view.impl.menu.EditorCriterionRiskBased

    public class EditorCriterionRiskBased
    extends EditorCriterion<ModelRiskBasedCriterion>

A view on a risk-based criterion.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`EditorCriterionRiskBased(org.eclipse.swt.widgets.Composite parent, ModelRiskBasedCriterion model)` Creates a new instance.

### Method Summary

### Methods inherited from class org.deidentifier.arx.gui.view.impl.menu.EditorCriterion

`dispose, getModel, parseDefault`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditorCriterionRiskBased

    public EditorCriterionRiskBased(org.eclipse.swt.widgets.Composite parent,
                                    ModelRiskBasedCriterion model)

Creates a new instance.

Parameters:
  `parent` -
  `model` -